function skill098(j)

sia=0
sip=0
cb=0
jt=0
if j==3 then

for sis=718,711,-1 do
if battle.CheckPlayerStat(32,sis)==1 then
    sip=sis-710
    player.RemoveStat(0,32,sis)
    player.AddStat(0,32,100,sis+1,999)
	if cb==0 then
	ui.Message(170001+sis)
	end
	cb=cb+1
	sia=sia+1
end
end

if sia==0 and battle.CheckPlayerStat(32,719)==0 then
player.AddStat(0,32,100,711,999)
sip=0
ui.Message(170711)
end

if sia==0 and battle.CheckPlayerStat(32,719)==1 then
sip=9
end

jt=sip*2

end

local a=battle.GetRndNumber(1,100)
	if a>=1 and a<=20+jt then
		local pid=battle.GetActingPlayerID()
		player.ChangeDP(0,pid,9)
		player.CreateSE(32,3911)
	end

if battle.CheckPlayerStat(32,707)==1 then
	player.RemoveStat(0,32,707)
	player.AddStat(0,32,100,708,99)
end
	
end